Skip to main content
POST
/
texml
/
Accounts
/
{account_sid}
/
Conferences
/
{conference_sid}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const conference = await client.texml.accounts.conferences.update('conference_sid', {
  account_sid: 'account_sid',
});

console.log(conference.account_sid);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
conference = client.texml.accounts.conferences.update(
conference_sid="conference_sid",
account_sid="account_sid",
)
print(conference.account_sid)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
conference, err := client.Texml.Accounts.Conferences.Update(
context.TODO(),
"conference_sid",
telnyx.TexmlAccountConferenceUpdateParams{
AccountSid: "account_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", conference.AccountSid)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceUpdateParams;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceUpdateResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

ConferenceUpdateParams params = ConferenceUpdateParams.builder()
.accountSid("account_sid")
.conferenceSid("conference_sid")
.build();
ConferenceUpdateResponse conference = client.texml().accounts().conferences().update(params);
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

conference = telnyx.texml.accounts.conferences.update("conference_sid", account_sid: "account_sid")

puts(conference)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$conference = $client->texml->accounts->conferences->update(
'conference_sid',
accountSid: 'account_sid',
announceMethod: 'GET',
announceURL: 'https://www.example.com/announce.xml',
status: 'completed',
);

var_dump($conference);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx texml:accounts:conferences update \
--api-key 'My API Key' \
--account-sid account_sid \
--conference-sid conference_sid
curl --request POST \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Conferences/{conference_sid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data Status=completed
{
  "account_sid": "4e71926f-8f13-450e-b91c-23c2ef786aa6",
  "api_version": "v2/texml",
  "date_created": "Fri, 27 Oct 2023 07:41:58 +0000",
  "date_updated": "Fri, 27 Oct 2023 07:41:58 +0000",
  "friendly_name": "weekly_review_call",
  "region": "dc2",
  "sid": "cd5a70f4-759b-4d5e-9c06-88c00f16f3c1",
  "status": "in-progress",
  "subresource_uris": {
    "participants": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants.json",
    "recordings": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Recordings.json"
  },
  "uri": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1.json"
}
{
"errors": [
{
"detail": "Resource not found"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_sid
string
required

The id of the account the resource belongs to.

conference_sid
string
required

The ConferenceSid that uniquely identifies a conference.

Body

application/x-www-form-urlencoded

Update Conference request object

Status
string

The new status of the resource. Specifying completed will end the conference and hang up all participants.

Example:

"completed"

AnnounceUrl
string

The URL we should call to announce something into the conference. The URL may return an MP3 file, a WAV file, or a TwiML document that contains <Play>, <Say>, <Pause>, or <Redirect> verbs.

Example:

"https://www.example.com/announce.xml"

AnnounceMethod
enum<string>

The HTTP method used to call the AnnounceUrl. Defaults to POST.

Available options:
GET,
POST
Example:

"GET"

Response

Conference resource.

account_sid
string

The id of the account the resource belongs to.

Example:

"61bf923e-5e4d-4595-a110-56190ea18a1b"

api_version
string

The version of the API that was used to make the request.

Example:

"v2/texml"

call_sid_ending_conference
string

Caller ID, if present.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

date_created
string

The timestamp of when the resource was created.

Example:

"Thu, 15 Jun 2023 09:56:45 +0000"

date_updated
string

The timestamp of when the resource was last updated.

Example:

"Thu, 15 Jun 2023 09:56:45 +0000"

friendly_name
string

A string that you assigned to describe this conference room.

Example:

"weekly_review_call"

reason_conference_ended
enum<string>

The reason why a conference ended. When a conference is in progress, will be null.

Available options:
participant-with-end-conference-on-exit-left,
last-participant-left,
conference-ended-via-api,
time-exceeded
Example:

"time-exceeded"

region
string

A string representing the region where the conference is hosted.

Example:

"dc2"

sid
string

The unique identifier of the conference.

Example:

"cd5a70f4-759b-4d5e-9c06-88c00f16f3c1"

status
enum<string>

The status of this conference.

Available options:
init,
in-progress,
completed
Example:

"in-progress"

subresource_uris
object

A list of related resources identified by their relative URIs.

Example:
{
"participants": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants.json",
"recordings": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Recordings.json"
}
uri
string

The relative URI for this conference.

Example:

"/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1.json"